/*
 * Copyright (c) 2016, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.carbon.sample.transport.service;

import org.osgi.service.component.annotations.Component;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.wso2.carbon.kernel.transports.CarbonTransport;

/**
 * Sample CarbonTransport Service Component class.
 *
 * @since 5.1.0
 */
@Component(
        name = "org.wso2.carbon.sample.transport.service.SampleCarbonTransport",
        immediate = true,
        service = CarbonTransport.class
)
public class SampleCarbonTransport extends CarbonTransport {

    private static final Logger logger = LoggerFactory.getLogger(SampleCarbonTransport.class);

    public SampleCarbonTransport() {
        super("DummyTransport");
    }

    @Override
    protected void start() {
        logger.info("Transport service : " + this.getClass().getName());
    }

    @Override
    protected void stop() {

    }

    @Override
    protected void beginMaintenance() {

    }

    @Override
    protected void endMaintenance() {

    }
}
